---
title: "Assign User to Job Security Group"
slug: "assign-user-to-job-security-group"
updated: 2026-05-26T12:48:31Z
published: 2026-05-26T12:48:45Z
canonical: "developers.cmicglobal.com/assign-user-to-job-security-group"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign User to Job Security Group

Post/sys-rest-api/rest/1/jcjobsecgrpuser

## Overview

This endpoint enables the assignment of users to job/project security groups,thereby granting them access to associated jobs and projects. Users can belong to multiple security groups simultaneously.

## UI Navigation

System Data > Job/Project Security > Assign Users to Job/Project Security Groups

## Reference Article

[https://docs.cmicglobal.com/portal/Content/E_Reference_Material/SD_-_System_Data/Reference/Security/Job_Project_Security.htm?Highlight=assign%20user%20to%20job%20security%20group](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/SD_-_System_Data/Reference/Security/Job_Project_Security.htm?Highlight=assign%20user%20to%20job%20security%20group)

## Finders

The following finders are available for data filtering and optimizing request performance.

- findByUser
- findByCompCode
- findByGroupCode

## Query Standards

| Key | Recommended | Description |
| --- | --- | --- |
| `finder` | Yes | Filters data based on attributes. |
| `limit` | Yes | No. of items to return |
| `offset` | Yes | The offset skips a specified number of items in a data list before it starts showing results. For example, if you set an offset of 10, it skips the first 10 items and begins showing from the 11th item. For additional information on using offset functionality, please visit [Best Practice |
| `orderBy` | Yes | The `orderBy` attribute retrieves rows using an order ensuring the response payload displays data in the order supplied in the URL parameter using the GET method. For more information on using `orderBy` functionality, please visit [Best Practice |

## Finders

| Finder | Parameter | Data Type | Description | Example | Mandatory |
| --- | --- | --- | --- | --- | --- |
| PrimaryKey | VUUID | String | V_UUID | /431ACBF2E3E36B08E0630B811DAC71E5 | False |
| findByCompCode | compCode | String | companyCode | /syst-rest-api/rest/1/jcjobsecgrpuser?finder=findByCompCode;compCode="ZZ" | Optional |
| findByGroupCode | groupCode | String | security group | /sys-rest-api/rest/1/jcjobsecgrpuser?finder=findByGroupCode;groupCode="MASTER" | Optional |
| findByUser | userCode | String | user | /sys-rest-api/rest/1/jcjobsecgrpuser?finder=findByUser;userCode="ACHAMPION" | Optional |

## Attributes

| CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example | Mandatory |
| --- | --- | --- | --- | --- | --- | --- | --- |
|  | jcjobsecgrpuser | JsguUser | userID | String | 30 | ACHAMPION | True |
|  | jcjobsecgrpuser | JsguCompCode | companyCode | String | 8 | ZZ | True |
|  | jcjobsecgrpuser | JsguGrpCode | security group | String | 10 | MASTER | True |
|  | jcjobsecgrpuser | JsguGrpName | security group name | String | 30 | Master Group | False |
|  | jcjobsecgrpuser | JsguVUuid | vuuid | String | 64 | 431ACBF2E3E36B08E0630B811DAC71E5 | False |

SecurityHTTPType basic

Basic authentication

Body parameters<select class='api-response-data' aria-label='Media type'><option value='54590a31-54aa-4d55-88b7-2106b295bc35'>application/json</option>
</select>object  Example{
  "JsguUser": "ROHINI",
  "JsguCompCode": "ZZ",
  "JsguGrpCode": "MASTER",
  "JsguGrpName": "Master job group",
  "JsguVUuid": ""
}

Responses201

Created

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourceitem+json
<select class='api-response-data' aria-label='Media type'><option value='c89eb299-db49-4121-9349-8fc95e5293ae'>text/plain</option>
</select>

```
"{\n    \"JsguUser\": \"ROHINI\",\n    \"JsguCompCode\": \"ZZ\",\n    \"JsguGrpCode\": \"MASTER\",\n    \"JsguGrpName\": \"Master job group\",\n    \"JsguVUuid\": \"435364C32F9EAE78E0630B811DACF3E5\",\n    \"links\": [\n        {\n            \"rel\": \"self\",\n            \"href\": \"http://127.0.0.1:7101/sys-rest-api/rest/1/jcjobsecgrpuser/\",\n            \"name\": \"jcjobsecgrpuser\",\n            \"kind\": \"item\"\n        },\n        {\n            \"rel\": \"canonical\",\n            \"href\": \"http://127.0.0.1:7101/sys-rest-api/rest/1/jcjobsecgrpuser/\",\n            \"name\": \"jcjobsecgrpuser\",\n            \"kind\": \"item\"\n        }\n    ]\n}"
```

string
